(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/cdk/coercion'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/cdk/coercion', '@angular/common'], factory) :
    (factory((global.nt = global.nt || {}, global.nt.pro = global.nt.pro || {}, global.nt.pro.drawer = {}),global.ng.core,global.ng.cdk.coercion,global.ng.common));
}(this, (function (exports,core,coercion,common) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NtDrawerComponent = /** @class */ (function () {
        function NtDrawerComponent() {
            this._expanded = false;
            this.open = new core.EventEmitter();
            this.expandedChange = new core.EventEmitter();
            this._size = '200px';
            this._expandFrom = 'right';
        }
        Object.defineProperty(NtDrawerComponent.prototype, "expanded", {
            get: /**
             * @return {?}
             */
            function () { return this._expanded; },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._expanded = coercion.coerceBooleanProperty(value);
                this.expandedChange.emit(this._expanded);
                if (this._expanded) {
                    this.open.emit();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(NtDrawerComponent.prototype, "size", {
            get: /**
             * @return {?}
             */
            function () { return this._size; },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._size = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(NtDrawerComponent.prototype, "expandFrom", {
            get: /**
             * @return {?}
             */
            function () { return this._expandFrom; },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._expandFrom = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        NtDrawerComponent.prototype.isFromHorizontal = /**
         * @return {?}
         */
        function () {
            return this.expandFrom === 'right' || this.expandFrom === 'left';
        };
        /**
         * @return {?}
         */
        NtDrawerComponent.prototype.isFromVertical = /**
         * @return {?}
         */
        function () {
            return this.expandFrom === 'top' || this.expandFrom === 'bottom';
        };
        NtDrawerComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'nt-drawer',
                        template: "\n    <div class=\"nt-drawer-overlay {{expandFrom}}\"\n      [class.is-expanded]=\"expanded\"\n      [style.width]=\"isFromHorizontal() ? size : 'auto'\"\n      [style.height]=\"isFromVertical() ? size : 'auto'\">\n      <ng-content></ng-content>\n    </div>\n    <div *ngIf=\"expanded\" class=\"nt-drawer-backdrop\" (click)=\"expanded = false\"></div>\n  ",
                        encapsulation: core.ViewEncapsulation.None,
                        host: {
                            'class': 'nt-drawer'
                        }
                    },] },
        ];
        NtDrawerComponent.propDecorators = {
            open: [{ type: core.Output }],
            expandedChange: [{ type: core.Output }],
            expanded: [{ type: core.Input }],
            size: [{ type: core.Input }],
            expandFrom: [{ type: core.Input }]
        };
        return NtDrawerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NtDrawerModule = /** @class */ (function () {
        function NtDrawerModule() {
        }
        NtDrawerModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule],
                        exports: [NtDrawerComponent],
                        declarations: [NtDrawerComponent],
                    },] },
        ];
        return NtDrawerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NtDrawerModule = NtDrawerModule;
    exports.NtDrawerComponent = NtDrawerComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=drawer.umd.js.map
