import marked from 'marked';
import { Observable } from 'rxjs';
import { HttpClient, HttpResponse } from '@angular/common/http';
export declare class NtMarkdownService {
    private http;
    private _renderer;
    constructor(http: HttpClient);
    getContent(path: string): Observable<any>;
    readonly renderer: marked.Renderer;
    extractData(res: HttpResponse<any>): string;
    setMarkedOptions(options: any): void;
    compile(data: string): string;
    private handleError;
    private extendRenderer;
}
