/**
 * MarkdownEditor Commands
 */
export declare const LINE_REGEXP: RegExp;
export declare const BOLD_REGEXP: RegExp;
export declare const ITALIC_REGEXP: RegExp;
export declare const STRIKETHROUGH_REGEXP: RegExp;
export declare const H1_REGEXP: RegExp;
export declare const H1_REGEXP_MULTIPLE: RegExp;
export declare const H2_REGEXP: RegExp;
export declare const H2_REGEXP_MULTIPLE: RegExp;
export declare const H3_REGEXP: RegExp;
export declare const H3_REGEXP_MULTIPLE: RegExp;
export declare const H4_REGEXP: RegExp;
export declare const H4_REGEXP_MULTIPLE: RegExp;
export declare const H5_REGEXP: RegExp;
export declare const H5_REGEXP_MULTIPLE: RegExp;
export declare const H6_REGEXP: RegExp;
export declare const H6_REGEXP_MULTIPLE: RegExp;
export declare const UL_REGEXP: RegExp;
export declare const UL_REGEXP_MULTIPLE: RegExp;
export declare const OL_REGEXP: RegExp;
export declare const OL_REGEXP_MULTIPLE: RegExp;
/** 命令 */
export declare type NtMarkdownEditorCommand = (doc: CodeMirror.Doc, erase: boolean, multiple: boolean) => void;
export declare const commands: {
    [key: string]: NtMarkdownEditorCommand;
};
